Bug 1790556 (CVE-2020-2590) - CVE-2020-2590 OpenJDK: Improper checks of SASL message properties in GssKrb5Base (Security, 8226352)
Summary: CVE-2020-2590 OpenJDK: Improper checks of SASL message properties in GssKrb5B...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-2590
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1785757 1785758 1785759 1785760 1785761 1785762 1785763 1785764 1785765 1785766 1785767 1789444 1789445 1789446 1865914 1865915 1865916 1865917 1865919 1865920 1865921 1866314
Blocks: 1785754
TreeView+ depends on / blocked
 
Reported: 2020-01-13 15:44 UTC by Tomas Hoger
Modified: 2020-12-16 15:20 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-27 15:49:39 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:0212 0 None None None 2020-01-23 14:04:58 UTC
Red Hat Product Errata RHBA-2020:0213 0 None None None 2020-01-23 14:46:54 UTC
Red Hat Product Errata RHBA-2020:0220 0 None None None 2020-01-23 17:00:27 UTC
Red Hat Product Errata RHBA-2020:0225 0 None None None 2020-01-27 01:22:02 UTC
Red Hat Product Errata RHBA-2020:0226 0 None None None 2020-01-27 01:22:48 UTC
Red Hat Product Errata RHBA-2020:0237 0 None None None 2020-01-27 12:18:47 UTC
Red Hat Product Errata RHBA-2020:0238 0 None None None 2020-01-27 12:25:18 UTC
Red Hat Product Errata RHBA-2020:0239 0 None None None 2020-01-27 12:26:28 UTC
Red Hat Product Errata RHBA-2020:0240 0 None None None 2020-01-27 12:26:39 UTC
Red Hat Product Errata RHBA-2020:0241 0 None None None 2020-01-27 12:29:15 UTC
Red Hat Product Errata RHBA-2020:0242 0 None None None 2020-01-27 12:26:44 UTC
Red Hat Product Errata RHBA-2020:0311 0 None None None 2020-01-30 20:06:33 UTC
Red Hat Product Errata RHBA-2020:0318 0 None None None 2020-02-03 10:27:47 UTC
Red Hat Product Errata RHBA-2020:0489 0 None None None 2020-02-13 15:00:49 UTC
Red Hat Product Errata RHBA-2020:0558 0 None None None 2020-02-20 08:31:04 UTC
Red Hat Product Errata RHBA-2020:0639 0 None None None 2020-02-27 19:29:57 UTC
Red Hat Product Errata RHSA-2020:0122 0 None None None 2020-01-16 13:21:37 UTC
Red Hat Product Errata RHSA-2020:0128 0 None None None 2020-01-16 13:02:38 UTC
Red Hat Product Errata RHSA-2020:0157 0 None None None 2020-01-21 03:02:04 UTC
Red Hat Product Errata RHSA-2020:0196 0 None None None 2020-01-21 23:00:48 UTC
Red Hat Product Errata RHSA-2020:0202 0 None None None 2020-01-22 13:04:46 UTC
Red Hat Product Errata RHSA-2020:0231 0 None None None 2020-01-27 08:54:31 UTC
Red Hat Product Errata RHSA-2020:0232 0 None None None 2020-01-27 08:55:40 UTC
Red Hat Product Errata RHSA-2020:0541 0 None None None 2020-02-18 15:28:42 UTC
Red Hat Product Errata RHSA-2020:0632 0 None None None 2020-02-27 15:27:02 UTC
Red Hat Product Errata RHSA-2020:3386 0 None None None 2020-08-10 15:13:13 UTC
Red Hat Product Errata RHSA-2020:3387 0 None None None 2020-08-10 15:16:24 UTC
Red Hat Product Errata RHSA-2020:3388 0 None None None 2020-08-10 15:15:55 UTC
Red Hat Product Errata RHSA-2020:5585 0 None None None 2020-12-16 15:20:18 UTC

Description Tomas Hoger 2020-01-13 15:44:23 UTC
A flaw was found in the way the GssKrb5Base class in the Security component of OpenJDK validated properties of SASL messages included in Kerberos GSSAPI, omitting required token checks.  An remote attacker with ability to manipulate network traffic between server and client using Kerberos GSSAPI could possibly perform message modification that would not be detected during message decoding.

Comment 1 Tomas Hoger 2020-01-15 11:16:08 UTC
Public now via Oracle CPU January 2020:

https://www.oracle.com/security-alerts/cpujan2020.html#AppendixJAVA

Fixed in Oracle Java SE 13.0.2, 11.0.6, 8u241, and 7u251.

Comment 2 errata-xmlrpc 2020-01-16 13:02:37 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:0128 https://access.redhat.com/errata/RHSA-2020:0128

Comment 3 errata-xmlrpc 2020-01-16 13:21:36 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:0122 https://access.redhat.com/errata/RHSA-2020:0122

Comment 4 errata-xmlrpc 2020-01-21 03:02:02 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2020:0157 https://access.redhat.com/errata/RHSA-2020:0157

Comment 5 errata-xmlrpc 2020-01-21 23:00:47 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:0196 https://access.redhat.com/errata/RHSA-2020:0196

Comment 6 errata-xmlrpc 2020-01-22 13:04:43 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:0202 https://access.redhat.com/errata/RHSA-2020:0202

Comment 7 errata-xmlrpc 2020-01-27 08:54:29 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.0 Update Services for SAP Solutions

Via RHSA-2020:0231 https://access.redhat.com/errata/RHSA-2020:0231

Comment 8 errata-xmlrpc 2020-01-27 08:55:39 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.0 Update Services for SAP Solutions

Via RHSA-2020:0232 https://access.redhat.com/errata/RHSA-2020:0232

Comment 13 errata-xmlrpc 2020-02-18 15:28:40 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:0541 https://access.redhat.com/errata/RHSA-2020:0541

Comment 16 errata-xmlrpc 2020-02-27 15:27:01 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2020:0632 https://access.redhat.com/errata/RHSA-2020:0632

Comment 17 Product Security DevOps Team 2020-02-27 15:49:39 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-2590

Comment 22 errata-xmlrpc 2020-08-10 15:13:11 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:3386 https://access.redhat.com/errata/RHSA-2020:3386

Comment 23 errata-xmlrpc 2020-08-10 15:15:53 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7 Supplementary

Via RHSA-2020:3388 https://access.redhat.com/errata/RHSA-2020:3388

Comment 24 errata-xmlrpc 2020-08-10 15:16:23 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2020:3387 https://access.redhat.com/errata/RHSA-2020:3387

Comment 28 errata-xmlrpc 2020-12-16 15:20:17 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7 Supplementary

Via RHSA-2020:5585 https://access.redhat.com/errata/RHSA-2020:5585


Note You need to log in before you can comment on or make changes to this bug.